### GET /kms/{connection_id}/space Source: https://api.unified.to/docs/openapi-kms.json API endpoint for GET /kms/{connection_id}/space ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **parent_id** (string, query, optional): The parent ID to filter by - **fields** (array (string (id|created_at|updated_at|name|description|parent_id|is_active|user_id|parent_page_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **KmsSpaces** - Array of KmsSpace ### Example Usage ```bash curl -X GET "https://api.unified.to/kms/{connection_id}/space?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&parent_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /kms/{connection_id}/comment Source: https://api.unified.to/docs/openapi-kms.json API endpoint for GET /kms/{connection_id}/comment ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **page_id** (string, query, optional): The page ID to filter by (reference to KmsPage) - **type** (string, query, optional): The type to filter by - **parent_id** (string, query, optional): The parent ID to filter by - **fields** (array (string (id|created_at|updated_at|type|content_type|content|user_id|page_id|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **KmsComments** - Array of KmsComment ### Example Usage ```bash curl -X GET "https://api.unified.to/kms/{connection_id}/comment?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&page_id=string&type=string&parent_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /kms/{connection_id}/page Source: https://api.unified.to/docs/openapi-kms.json API endpoint for GET /kms/{connection_id}/page ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **space_id** (string, query, optional): The space ID to filter by (reference to KmsSpace) - **parent_id** (string, query, optional): The parent ID to filter by - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **fields** (array (string (id|created_at|updated_at|title|type|space_id|parent_id|is_active|user_id|download_url|metadata|has_children|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **KmsPages** - Array of KmsPage ### Example Usage ```bash curl -X GET "https://api.unified.to/kms/{connection_id}/page?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&space_id=string&parent_id=string&user_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /kms/{connection_id}/space/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for GET /kms/{connection_id}/space/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|parent_id|is_active|user_id|parent_page_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Space ### Responses #### 200 - Successful **KmsSpace** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/kms/{connection_id}/space/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /kms/{connection_id}/page/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for GET /kms/{connection_id}/page/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|title|type|space_id|parent_id|is_active|user_id|download_url|metadata|has_children|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Page ### Responses #### 200 - Successful **KmsPage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/kms/{connection_id}/page/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /kms/{connection_id}/comment/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for GET /kms/{connection_id}/comment/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|type|content_type|content|user_id|page_id|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Comment ### Responses #### 200 - Successful **KmsComment** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/kms/{connection_id}/comment/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### API Overview: Unified.to KMS API Source: https://api.unified.to/docs/openapi-kms.json One API to Rule Them All ```yaml # Unified.to KMS API # Version: 1.0 One API to Rule Them All # Base URL: https://api.unified.to ``` -------------------------------- ### POST /kms/{connection_id}/space Source: https://api.unified.to/docs/openapi-kms.json API endpoint for POST /kms/{connection_id}/space ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|parent_id|is_active|user_id|parent_page_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsSpace** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/kms/{connection_id}/space?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "parent_id": "string", "is_active": "true", "user_id": "string", "parent_page_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### POST /kms/{connection_id}/page Source: https://api.unified.to/docs/openapi-kms.json API endpoint for POST /kms/{connection_id}/page ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|title|type|space_id|parent_id|is_active|user_id|download_url|metadata|has_children|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsPage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/kms/{connection_id}/page?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "title": "string", "type": "HTML", "space_id": "string", "parent_id": "string", "is_active": "true", "user_id": "string", "download_url": "string", "metadata": "value", "has_children": "true", "web_url": "string", "raw": "value" }' ``` ``` -------------------------------- ### POST /kms/{connection_id}/comment Source: https://api.unified.to/docs/openapi-kms.json API endpoint for POST /kms/{connection_id}/comment ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|type|content_type|content|user_id|page_id|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsComment** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/kms/{connection_id}/comment?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "type": "PAGE_INLINE", "content_type": "HTML", "content": "string", "user_id": "string", "page_id": "string", "parent_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: KmsPage Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsPage ```markdown ## Schema: KmsPage Schema definition for KmsPage **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ``` -------------------------------- ### Schema: KmsSpaces Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsSpaces ```markdown ## Schema: KmsSpaces Schema definition for KmsSpaces **Type:** array - Array of KmsSpace ``` -------------------------------- ### Schema: KmsPageMetadata Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsPageMetadata ```markdown ## Schema: KmsPageMetadata Schema definition for KmsPageMetadata **Type:** object - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) ``` -------------------------------- ### Security: authorization Source: https://api.unified.to/docs/openapi-kms.json Security scheme: jwt ```markdown ## Security: authorization **Description:** Security scheme: jwt **Type:** apiKey ``` -------------------------------- ### Schema: KmsPages Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsPages ```markdown ## Schema: KmsPages Schema definition for KmsPages **Type:** array - Array of KmsPage ``` -------------------------------- ### Schema: KmsSpace Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsSpace ```markdown ## Schema: KmsSpace Schema definition for KmsSpace **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ``` -------------------------------- ### PUT /kms/{connection_id}/space/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for PUT /kms/{connection_id}/space/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|parent_id|is_active|user_id|parent_page_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Space ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsSpace** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/kms/{connection_id}/space/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "parent_id": "string", "is_active": "true", "user_id": "string", "parent_page_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### PUT /kms/{connection_id}/page/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for PUT /kms/{connection_id}/page/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|title|type|space_id|parent_id|is_active|user_id|download_url|metadata|has_children|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Page ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsPage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/kms/{connection_id}/page/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "title": "string", "type": "HTML", "space_id": "string", "parent_id": "string", "is_active": "true", "user_id": "string", "download_url": "string", "metadata": "value", "has_children": "true", "web_url": "string", "raw": "value" }' ``` ``` -------------------------------- ### PATCH /kms/{connection_id}/space/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for PATCH /kms/{connection_id}/space/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|parent_id|is_active|user_id|parent_page_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Space ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsSpace** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **description** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **parent_page_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/kms/{connection_id}/space/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "name": "string", "description": "string", "parent_id": "string", "is_active": "true", "user_id": "string", "parent_page_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: KmsComment Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsComment ```markdown ## Schema: KmsComment Schema definition for KmsComment **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ``` -------------------------------- ### PATCH /kms/{connection_id}/page/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for PATCH /kms/{connection_id}/page/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|title|type|space_id|parent_id|is_active|user_id|download_url|metadata|has_children|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Page ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsPage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **title** (string) - **type** (string (HTML|MARKDOWN|TEXT|OTHER)) (required) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **space_id** (string) - **parent_id** (string) - **is_active** (boolean) - **user_id** (string) - **download_url** (string) - **metadata** (array (KmsPageMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL|PERCENT|EMAIL|PHONE|REFERENCE|TIME)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL"|"PERCENT"|"EMAIL"|"PHONE"|"REFERENCE"|"TIME") - **extra_data** (object) - **slug** (string) - **has_children** (boolean) - **web_url** (string) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/kms/{connection_id}/page/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "title": "string", "type": "HTML", "space_id": "string", "parent_id": "string", "is_active": "true", "user_id": "string", "download_url": "string", "metadata": "value", "has_children": "true", "web_url": "string", "raw": "value" }' ``` ``` -------------------------------- ### PATCH /kms/{connection_id}/comment/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for PATCH /kms/{connection_id}/comment/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|type|content_type|content|user_id|page_id|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Comment ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsComment** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/kms/{connection_id}/comment/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "type": "PAGE_INLINE", "content_type": "HTML", "content": "string", "user_id": "string", "page_id": "string", "parent_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: property_KmsPage_metadata Source: https://api.unified.to/docs/openapi-kms.json Schema definition for property_KmsPage_metadata ```markdown ## Schema: property_KmsPage_metadata Schema definition for property_KmsPage_metadata **Type:** array - Array of KmsPageMetadata ``` -------------------------------- ### PUT /kms/{connection_id}/comment/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for PUT /kms/{connection_id}/comment/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|type|content_type|content|user_id|page_id|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Comment ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Responses #### 200 - Successful **KmsComment** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **type** (string (PAGE_INLINE|PAGE)) ("PAGE_INLINE"|"PAGE") - **content_type** (string (HTML|MARKDOWN|TEXT|OTHER)) ("HTML"|"MARKDOWN"|"TEXT"|"OTHER") - **content** (string) - **user_id** (string) - **page_id** (string) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/kms/{connection_id}/comment/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "type": "PAGE_INLINE", "content_type": "HTML", "content": "string", "user_id": "string", "page_id": "string", "parent_id": "string", "raw": "value" }' ``` ``` -------------------------------- ### Schema: KmsComments Source: https://api.unified.to/docs/openapi-kms.json Schema definition for KmsComments ```markdown ## Schema: KmsComments Schema definition for KmsComments **Type:** array - Array of KmsComment ``` -------------------------------- ### DELETE /kms/{connection_id}/space/{id} Source: https://api.unified.to/docs/openapi-kms.json API endpoint for DELETE /kms/{connection_id}/space/{id} ```markdown ### Parameters - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Space ### Responses #### 200 - Successful Empty response body #### default - Successful ### Example Usage ```bash curl -X DELETE "https://api.unified.to/kms/{connection_id}/space/{id}" ``` ```